%define	version 1.2.0.20100305
%define	release %mkrel 1

Name:      ibus-table-cangjie
Summary:   ibus-cangjie - table-based engine
Epoch:     1
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: ibus-table-devel >= 1.2.0
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0.20091113-2
Requires(post):	ibus-table >= 1.2.0
Conflicts:	ibus-table < 0.1.2
Obsoletes:	ibus-table-quick < 1.2.0.20100106

%description
ibus-table-cangjie provide CangJie input methods on IBus Table under
IBus framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
	--enable-cangjie5 \
	--enable-cangjie3 \
	--enable-cangjiebig \
	--enable-quick3 \
	--enable-quick5 \
	--enable-quickclassic \
	--enable-easybig
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/*
%{_datadir}/ibus-table/tables/*.db


%changelog
* Sun Apr 25 2010 Funda Wang <fwang@mandriva.org> 1:1.2.0.20100305-1mdv2010.1
+ Revision: 538615
- update to new version 1.2.0.20100305

* Tue Jan 19 2010 Funda Wang <fwang@mandriva.org> 1:1.2.0.20100119-1mdv2010.1
+ Revision: 493637
- update to new version 1.2.0.20100119

* Sat Jan 09 2010 Funda Wang <fwang@mandriva.org> 1:1.2.0.20100106-2mdv2010.1
+ Revision: 487922
- obsoletes quick

* Sat Jan 09 2010 Funda Wang <fwang@mandriva.org> 1:1.2.0.20100106-1mdv2010.1
+ Revision: 487919
- New version 1.2.0.20100106

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 1:1.2.0.20090717-2mdv2010.1
+ Revision: 476237
- rebuild

* Tue Aug 04 2009 Funda Wang <fwang@mandriva.org> 1:1.2.0.20090717-1mdv2010.0
+ Revision: 408909
- new version series 1.2.0

* Tue Jun 02 2009 Funda Wang <fwang@mandriva.org> 1:1.1.0.20090601-1mdv2010.0
+ Revision: 382247
- New version 1.1.0.20090601

* Fri May 22 2009 Funda Wang <fwang@mandriva.org> 1:1.1.0.20090514-1mdv2010.0
+ Revision: 378635
- New version 1.1.0.20090514

* Mon Mar 16 2009 Funda Wang <fwang@mandriva.org> 1:1.1.0.20090313-1mdv2009.1
+ Revision: 355850
- add epoch to ease upgrade
- fix version

* Sat Mar 14 2009 Funda Wang <fwang@mandriva.org> 1.1.020090313-1mdv2009.1
+ Revision: 354803
- New version 1.1.020090313

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090220-1mdv2009.1
+ Revision: 343583
- New version 1.1.0.20090220

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.1.2.20090101-2mdv2009.1
+ Revision: 324502
- create index after installing

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.1.2.20090101-1mdv2009.1
+ Revision: 324427
- import ibus-table-cangjie


